%define pkg_name        Regexp-Parser
%define pkg_version     0.20
%define rpm_pkg_version 0.20
%define rpm_pkg_release 2.n0i.2

Summary:       Base class for parsing regular expressions
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PI/PINYAN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildRequires: perl(NEXT)

Provides: perl(Regexp::Parser::Diagnostics)
Provides: perl(Regexp::Parser::Handlers)
Provides: perl(Regexp::Parser::Objects)

%global perl_filter_prov 'perl\\(Regexp::Parser\\)$'


%description
This module parses regular expressions.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Wed Oct 17 2007 Marius FERARU <altblue@n0i.net> - 0.20-2.n0i.2
- add missing provides

* Sun Aug 12 2007 Marius Feraru <altblue@n0i.net> - 0.20-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.20
